Accounts
Accounts APIs
Cross River offers a set of APIs for account management in our banking core.
Get started with Cross River APIs.
GET calls
- Add query parameters to filter the response the API returns to general GET calls.
- Use pagination to control presentation of your results.
Account management
This table presents general account management APIs that we describe in detail.
IMPORTANT Only pull statement and tax documents as needed. If you want to pull a large number of documents, speak to your Relationship Manager.
Action | API Call | Description |
|---|---|---|
POST /core/v1/dda/accounts | Creates an account based on the product ID for that type of account. This includes CD (time deposit) accounts. | |
POST /core/v1/dda/accounts/{accountNumber}/restrictions | Restricts an account from defined transaction types. | |
DELETE /core/v1/dda/accounts/{accountNumber}/restrictions/{id} | Removes a previously applied restriction from an account | |
GET /core/v1/dda/accounts/{accountNumber}/statements | Returns bank statement information for the specified account | |
GET /core/v1/dda/accounts/{accountNumber}/statements/{statementId}/documents | Returns information about monthly statement documents using a unique statement ID returned in the GET statement info call | |
GET /core/v1/dda/accounts/{accountNumber}/statements/{statementId}/documents/{documentId} | Returns a PDF of the requested statement document in raw format | |
GET /core/v1/dda/accounts/{accountNumber}/tax-documents/ | Gets a list of tax documents for a given account, including IDs for each | |
GET /core/v1/dda/accounts/{accountNumber}/tax-documents/{id} | Retrieves a PDF of a specific tax document |
Subledgers
In subledger API endpoints, subledgers are referred to as subaccounts , For example, POST /core/v1/dda/subaccounts creates a new subledger.
This table presents the subledger management APIs we describe in detail.
Action | API Call | Description |
|---|---|---|
POST /core/v1/dda/subaccounts | Creates a new subledger | |
GET /core/v1/dda/subaccounts/{accountNumber} | Returns information on a specific subledger account | |
PUT /core/v1/dda/subaccounts/{accountNumber}/title | Changes the title on a specific subledger account | |
PUT /core/v1/dda/subaccounts/{accountNumber}/customer | Changes the customer associated with the subledger account | |
GET /core/v1/dda/subaccounts/{accountNumber} | Close a subledger account |
Time deposit (CD)
This table presents time deposit (CD) APIs that we describe in detail.
Action | API Call | Description |
|---|---|---|
POST /core/v1/dda/accounts/{accountNumber}/time-deposit/early-withdraw | Requests to withdraw the funds from a time deposit account before the account reaches maturity | |
GET /core/v1/dda/accounts/{accountNumber}/time-deposit | Returns information about the account activity of a specific time deposit account | |
GET /core/v1/dda/accounts/{accountNumber}/time-deposit/penalty-fee | Returns the projected penalty fee if you make an early withdrawal to an active time deposit account |
Deposit sweeps
This table presents APIs we describe in detail.
Action | API Call | Description |
|---|---|---|
GET/SweepsIntrafi/v1/accounts/{accountNumber} | GET call to get account details of a COS account enrolled in Sweeps | |
PUT/SweepsIntrafi/v1/accounts/{accountNumber} | PUT call to exclude specific bank or opt out specific account from Sweeps. | |
GET/SweepsIntrafi/v1/banks | GET call to get a list of all banks | |
GET/SweepsIntrafi/v1/banks/{bankNumber | GET call to get bank name for a specific BankID |
Related topics
Tutorials
See our API tutorials to learn how to:
- Open an account: Create a deposit account.
- Open a subledger: Create a subledger (virtual account).
- Withdraw CD funds early: Withdraw funds from a certificate of deposit before it reaches maturity.